trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: November 2014

Re: [trinity-devel] tdepim upgrade conflicts

From: Slávek Banko <slavek.banko@...>
Date: Fri, 28 Nov 2014 17:40:10 +0100
Dne pá 28. listopadu 2014 Timothy Pearson napsal(a):
> > Tim,
> > I made a new rebuild yesterday night (everything except the applications
> > folder) and update the system this morning. I
> > encountered dependency conflicts in tdepim. For example:
> > libkcal2b-trinity conflicts with libtdepim1-trinity-dev
> > I can resolve those by removing 3 packages:
> > - kipi-plugins-trinity
> > - libkcal2-trinity-dev
> > - libkcal2b-trinity
> >
> > Until 6 days ago (my previous build) no conflicts whatsoever.
> > Just thought I would let you know. Is it something to be expect due to
> > some recent changes made in between RC1 and RC2?
> >
> > Cheers
> >    Michele
>
> A change was made between RC1 and RC2 to remove a circular dependency by
> merging (IIRC) libkcal2b-trinity into libtdepim1-trinity.  I'm guessing
> Slavek forgot to add a Replaces line to the newly merged package?
>
> Tim
>

I can confirm that is set Replaces and Conflicts (to ensure removal 
libkcal2b-trinity before unpacking updated libtdepim1-trinity). During 
installation, aptitude only shows attention on removing libkcal2b-trinity, 
but the installation process is smooth.

-- 
Slávek